FMX UI Pack Delphi 12 Support (Installer)

Hello

I am a TMS customer since 2014, right now I have an App using the FMX UI Pack for all visual controls, this mean that upgrading my App to another suite can not be in short time but in long term.

The image above shows you that you must give me support for this suite, Delphi 12 released 1 month ago, so TMS must release the FMX UI Pack installer for Delphi 12.

I know this is a legacy product, but as I wrote you lines above, I got the right to ask you for support that you already billed me anually.

In this situations always ask for Bruno Fierens help, so as a personal favor I need TMS reconsider this last favor not just for me but for all the active TMS customers that still use the FMX UI Pack suite.

I promise if you release the Delphi 12 installer of this suite I will not ask for anything else and next year start moving my actual App with FNC UI Pack, this last suite was purchased in this year but controls are different so I will need to reconstruct my whole App.

Hope to heard from you soon
Thanks

1 Like

If you have downloaded the latest version you can open the XE14 packages in Delphi 12, compile them and install them. Also please extract tmsdefs.inc into the source folder.

tmsdefs.zip (841 Bytes)

We will not support Delphi 12, TMS FMX UI Pack is deprecated for over 2 years now, it is time to move on.

Thanks Pieter

I understand 100%, just help me with this last favor in order to compiled FMX UI Pack on Delphi 12.

I will follow your instructions, also is there a way to pay for the sources so I can use it for my App only???

Regards

Thanks Pieter, I installed FMX UI Pack on Delphi 12.

Thanks for notifying!

Please contact us by direct mail for custom consulting services

I already did it, tell Mr. Fierens about this please.

I would like to move on but as I told you on an earlier occasion, I'm using the Spellcheck posibility of the FMX Richeditor because, as far a I know, the FNC Richeditor doesn't have a spellchecker. You told me then you would port the spellchecker to FNC but did that already happen?
Regards Anske

Hi,

The spell checking class structure right now is not compatible with the FNC standards. We are evaluating how to proceed. This will take significant amount of time and resources to be able to deliver an experience better than what is currently available in the TMS FMX UI Pack. We can unfortunately not deliver a time frame or schedule but we are working on closing the gap between TMS FMX UI Pack & TMS FNC UI Pack

I am wondering: if TMS FMX UI packages already is deprecated for over 2 years why did you offer a renewal subscription for a period of 3 years last februari?
In februari 2023 I renewed my subscription for 3 years, it ends on 26/02/2025.
So the last two years are a waste of money?
Regards
Anske

1 Like